Forum Clubic

Problèmes lors de l'installation des pilotes ATI

Bonjour,

Je suis sous Ubuntu et j’ai un problème pour installer les drivers ATI, je me sert de guide de Léa-Linux.

Donc je dois télécharger le Kernel Source, donc je fais ceci :

apt-search cache kernel-source

Et là seul le kernel-source 2.4 est dispo alors qu’il me faut le 2.6, bon c’est pas grave je le télécharge quand même.

Ensuite j’installe fglrx en faisant :

apt-get install xorg-driver-fglrx

Tout s’installe correctement.

Seulement après je devrait avoir un dossier fglrx dans /lib/modules alors que je n’ai rien, je suis donc bloqué :frowning:

Si quelqu’un pouvait m’aider ce serait super ! Merci

Et là seul le kernel-source 2.4 est dispo alors qu’il me faut le 2.6, bon c’est pas grave je le télécharge quand même.
Si c’est grâve :stuck_out_tongue: : il te faut exactement le kernel-source correspond à ton noyau courant, sinon, c’est même pas la peine de poursuivre.

Sous ubuntu tu remplace kernel par linux dans le nom des paquets.
Tu aptgettes donc linux-source .
Il faut la même version des sources que ton noyau installé.

Effectivement avec linux-source je trouve le bon noyau. En cours de téléchargement !

Merci beaucoup !

Voilà c’est télécharger, mais j’ai toujours le même problème après, j’ai pas de dossier fglrx dans /lib/modules !

J’ai réussi à installer les drivers,

mais là par exemple je veux modifier le xorg.conf pour mettre ceci :

Section "Extensions"
Option "Composite" "Enable"
Option "RENDER" "Enable"
EndSection

afin d’activer les ombres et la transparence. Cependant dès que je modifie le fichier, et que je reboot l’accélération 3D ne fonctionne plus et dès que je met xcompgr -c & j’ai ceci :

[1] 8736
root@Yak:/home/yannick # No composite extension

Quelqu’un pourrait m’aider ? :’(

En tout cas si tu as d’autres logiciels ou paquets à installer sous ubuntu, je te conseille d’utiliser Synaptic. Tu peux gérer facilement les dépôts auxquels tu fais référence et tu peux faire facilement des recherches sur les paquets.

Sinon pour ton problème, tu peux aller voir sur le forum ubuntu-fr (partie serveurs graphiques & carte vidéo : http://forum.ubuntu-fr.org/viewforum.php?id=27)), tu y trouveras surement une réponse.